uses
    testlib, sysutils;
var
    n, k, x, kol: longint;
    i: longint;
    a: array[1..100000] of longint;
begin
    n := inf.readlongint;
    k := inf.readlongint;
    for i := 1 to n do
        a[i] := 0;
    for i := 1 to n do
        begin
            x := ouf.readlongint;
            if (x = i) then quit(_wa, 'Barber cuts himself');
            if (x < 1) or (x > k) then quit(_wa, 'Does not correct number barber');
            inc(a[x]);    
        end;
    kol := n div k;
    if (n mod k <> 0) then kol := kol + 1;
 
    for i := 1 to k do
       begin
          if (abs(kol - a[i]) > 1) then quit(_wa, 'Dif more 1');
          if kol < a[i] then quit(_wa, 'Jury answer less');
       end;
    quit(_ok, 'OK');  
end.
